## opusparse opusparse |

## Types and Values

struct | GstOpusParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstOpusParse

## Description

This element parses OPUS packets.

#### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=opusdata ! opusparse ! opusdec ! audioconvert ! audioresample ! alsasink

Decode and plays an unmuxed Opus file.

## Synopsis

### Element Information

plugin | opusparse
author | Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-opus

name | src
direction | source
presence | always
details | audio/x-opus, framed=(boolean)true

## Functions

## Types and Values

### struct GstOpusParse

    struct GstOpusParse;

## See Also

opusenc, opusdec